# This is a -*-Makefile-*-
# $Id: Makefile.here.tpl,v 1.12 2007-03-15 22:40:43 tews Exp $ 
ROOT=/usr/local

# where otags binaries will be installed
#BINDIR=$(ROOT)/bin/
BINDIR=tplbin

# where otags libs will be installed
#INSTALLLIBDIR=$(ROOT)/lib/camlp4/
INSTALLLIBDIR=tpllib

# Compilation commands. The first four will be automatically configured.
# Delete the "tpl" if you are configuring from hand.
CAMLC=tplocamlc
CAMLOPT=tplocamlopt
CAMLAR=tplocamlc -a
CAMLP4=camlp4o
CAMLP4DIR=${shell ${CAMLP4} -where}
CAMLLEX=ocamllex
CAMLDEP=ocamldep

# native compilation available? Set to ``true'' or ``false'' !
NATIVE=tplnative

# goal for native-code camlp4 parsers
# set to 
# NCAMLP4=camlp4o_pr_emacs camlp4o_pr_vi
# if native compilation works. Leave empty otherwise.
NCAMLP4=tplncamlgoals


# Goal to link native and byte code compilation.
# If you have native compilation substitute otags.opt for tplotags. 
# Otherwise substitute otags.byte
otags: tplotags
	cp $< $@


